org.apache.commons.math.analysis

## Interface MultivariateVectorialFunction

All Known Subinterfaces:
  DifferentiableMultivariateVectorialFunction

All Known Implementing Classes:
  CurveFitter.TheoreticalValuesFunction

    public interface MultivariateVectorialFunction

An interface representing a multivariate vectorial function.

Since:
  2.0
Version:
  $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $

### Method Summary

Methods
`double[]` `value(double[] point)` Compute the value for the function at the given point.

### Method Detail

#### value

    double[] value(double[] point)
                   throws FunctionEvaluationException,
                          IllegalArgumentException

Compute the value for the function at the given point.

Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point
Throws:
  `FunctionEvaluationException` - if the function evaluation fails
  `IllegalArgumentException` - if points dimension is wrong